Page 1

THE KENT’S

G I G GUIDE

NO. 1

FREE

E N T E R TA I N M E N T

MAGAZINE

Ellie Goulding headlinING Lounge on The Farm 2011

+ Interviews with Fozzy & City Lightz + The Lions Den Music Festival in Deal + N-Dubz, Riskee & The Ridcule, Meg Cavanaugh and more...

Issue 18 | May - June www.the-gig-guide.co.uk


Deal’s friendly high-street music bar

May

June

6th - Tapestry

5th - Radio Riot

7th - Donna

10th - Alleviators

8th - Crazy Daisy

11th - Gold Top

13th - Chris (As Is Now)

12th - User Friendly

15th - The Tony Johnson Band

19th - The Tony Johnson

20th - 8-T’s

26th - Broken

22nd - Suspects 27th - The Outcome 29th - As Is Now

32 High Street, Deal, CT14 6HE Tel: 01304 369115


EDITOR’S LETTER

festival ady looking forward to his month we are alre May and we in g rtin sta nts eve al season with some loc Farm cial on Lounge on the also have a bit of a spe going is nge Lou . ing star Ellie Gould which features cover so make sure you ore bef r eve n tha ter to be bigger and bet event itself! cle and then get to the have a look at the arti ed to get a es again and has manag before they Jez has worked miracl Margate to e com y the as zy an interview with Foz w Chris Jericho y. Many of you will kno play Sonisphere in Jul Atlantic. the oss acr from the band from WWE who fronts be doing to ng goi is n Tipple who A warm welcome to Be experience d goo has n Be on. reviews for us from now to have ng to gigs so it’s great reviewing music and goi . ide Gu to The Gig someone new adding also bring back as usual but we Our listings are near the us on a foc a h wit tion sec ’ sed back our ‘Not To Be Mis months. iting gigs in the next few couple of the most exc

T

Bradley McManus, Publishing Manager

EDITOR’S LETTER E-mail: bradley.mcmanus@ thanet-publishing.co.uk Telephone: 01843 282528 Website: www.the-gig-guide.co.uk Facebook: www.facebook.com/TheGigGuideKent Twitter: www.twitter.com/TheGigGuide Post: The Guide Guide, Thanet Publishing, Union Crescent, Margate, Kent, CT9 1NU

Publishing Manager: Bradley McManus Creative Director: Lorna Morris Writers: Jez Silcock, Lynsey McKay, Regina Dowdeswell & Amy Hopper Reviewer: Ben Tipple Photographer: Dylan Woolf Managing Director: Phillip Moore

For advertising enquiries, contact Bradley McManus Telephone: 01843 282528 E-mail: bradley.mcmanus@ thanet-publishing.co.uk Blackberry Messenger: 2610962D

Printed in East Kent by Thanet Press Ltd www.thanet-press.co.uk

Ellie Goulding cover image © Anorak London The views expressed in this publication are not necessarily those of the Publisher. © Copyright 2011. All parts reserved. No part of The Gig Guide may be reproduced, stored in a retrieval system or transmitted in any form or by any means without the prior written consent of th epublishers. The Gig Guide will make every effort to return picture material but it is sent at the owner’s risk. Due to the nature of printing processes, images can be subject to a variation and therefore the publishers cannot be held responsible for such variation.

3


CONTENTS

CONTENTS Features The Lions Den Music Festival

6

Imran Yusuf Interview

8

The Quarterhouse

12

Lounge On The Farm

14

City Lightz Interview

18

Fozzy Interview

22

Regulars

4

Wordsearch

11

CD Reviews

24

Gig Reviews

27

Listings

39

Not To Be Missed

50


DEAL HOY Your welcoming meeting place in Deal. Come to a traditional inn with a difference. Good beers, wines and food with live music and art exhibitions. A special atmosphere including the beer garden in Deal which has a nautical theme and unique outside kitchen. Live music every Wednesday from 8 p.m.-11 p.m. & every Sunday from 5 p.m. to 8 p.m.

Join our facebook group: www.facebook.com/pages/ The-Deal-Hoy/186559846057

GIG LISTINGS MAY 1 Salty Dogs 2nd Famous James & The Monsters / White Wire Drift 4th Ian Shawcross 6th Artist of the Month – Nigel Honan 8th Tony Johnson 11th Curious Plan 15th Trio Bambula 18th EK1 (4 Piece) 22nd Antiques Road Show 25th Scandal st

29th Andee Price Quartet 30th Dover Patrol

JUNE 1st Geoff Everett Band 5th Kevin Iverson 8th Ian Shawcross 12th Michael Scorey 15th The Outcome 19th The Lucky Ones 22nd Lola Soul 26th Tapestry 29th The Retrophonic Archive

Art | Beers | Garden | Events Food | Live Music | Wines 16 Duke Street, Deal, Kent, CT14 6DU Telephone: 01304 363972


FEATURE

The

Lions Den Music Festival

Saturday 16th July 2011

Words by Bradley McManus & Russel English Now in its fourth year The Lions Den Music Festival is the result of one mans passion to bring a music festival to Kent.   It started out as an accompaniment to a beer festival that has been held for the past five years and Russell English suggested having some music in the second year. His band at the time Euston played for free because it was easy for everyone involved.   After this the decision was made to make the music into a ‘Battle of the Bands’ for which 12 bands applied for but on

the day only 4 of them turned up which was of course really disappointing for everyone who had helped organise the event. Last year there were 9 bands, there was a bigger stage and the entire thing seemed to grow a lot more. The success of 2010 now means there are 15 bands for this year and the whole thing has progressed and become something that has some genuine hype.   Festival organiser Russell English: “In my opinion it was a real success last year and I think because some big named bands in the area didn’t play and wish that they had, we have had a great response this


FEATURE

year. I think this year has been hyped because of that. We have had more bands apply than we have room for which is definitely a good place to be in.” The festival will also now feature a dance tent with six DJ’s from Dance Web Radio for something else to get involved in. Though the focus has always been about the bands there is definitely something for everyone. There is also going to be a classic car rally treasure hunt around Kent with the last part of the hunt is to park up at the show!   Russell booked the dates for this year’s festival the day after the 2010 festival finished and set about making it bigger and better. It has been a year in the making.   Russ: “I’ve started thinking about next year already!”   Ultimately it is a big money raiser for the rugby club and it is all for a good cause. A lot of people and bands are giving their time up

for free to put on a great show and help out a much needed local club so support this festival by coming along and having a great day. The festival is sponsored by The Gig Guide and we are proud to be working with such a great local event. Other sponsors include JNS Sounds, Storm IT Web Design, Dance Web Radio, Cloke Scaffolding and Sign from Above. 

7


INTERVIEW

Imran Yusuf

Interview by Bradley McManus

I caught up with Imran Yusuf before he starts his first tour which includes two dates in Kent. How has 2010 been for you? I: Since Edinburgh (Comedy Festival) last year things have taken off quite fast and it has been a bit of a change but it’s all good to be involved in. I’d imagine most people became aware of you when you appeared in the BBC Comedy Roadshow… I: Being on that show helped a lot and with it being broadcast so quickly after Edinburgh it added to the uptake and energy of what was happening to me. There were the nominations and reviews and then getting on that show changed a lot, being in front of a massive national audience for live comedy changes everything. You also I spied you on Charlie Brooker’s new TV show the other day! I: It’s happening, it’s slowly coming along - more doors are opening and more opportunities are coming my way. 8

Have you met any good comedy friends in the past year then? I: Adam Bloom is like my mentor. I grew up watching comedians like him and then later on he saw me and then advised me on how to develop my material and become a better comedian including very specific advice which I took on board and improved on as a result. Also, Omid Djalili has given me some advice with the tour and what I can expect to happen with doing more shows and seeing more of an audience. You’ve had quite the upbringing. Born in Kenya, lived in England most of your life but schooled in Amercia. That must influence your material? I: Yeah of course – a lot of my material at the moment takes on ‘identity’ which is a very passionate topic for me, especially today’s society which seems to be a more polarised nation because of all the tensions around the world. It’s a great tool to be able to use and look at ‘identity’ in a fun way. By talking about my experiences around the world I can talk about all the funny things that have happened as a result.


INTERVIEW

The Gig Guide Five What is your favourite pub snack? I: Definitely NOT pork scratchings – I guess crisps. That’s one thing Britain does quite well, you go anywhere else in the world and they are kind of rubbish plus they don’t even call them crisps. Tea or Coffee? I: I think I’d have to say tea. Favourite shape of pasta? I: Spaghetti but I do dabble in the other forms of pasta – be it Penne or Fusili but Spaghetti’s my favourite. Pet Hate? I: Well, there’s quite a few. Inconsiderate people rates quite highly and people who talk in the cinema (which is kind of the same thing really). Biggest animal you could take in unarmed combat? I: Now that you ask me this I’m really thinking about strategy! I think I could defend myself quite successfully from a savage dog attack – one of the violent ones that tend to be bred to intimidate people mind.

What’s your writing process? I: You’ve got to be disciplined but at the same time it’s all about generating inspiration. You can’t just sit there and think ‘I’m going to write’ you need to read things and listen to things that may even upset you so you can work on the emotion to generate ideas whether it’s in the news or something from your past or a strong opinion. Quite recently I did a gig at the comedy store in Manchester where I was hanging out with Tom Stade and we had a writing session together which was great. He’s being doing it for so many years I found it really

helped to look at subjects in a way that was quite intrusive and as a result I’m actually finding new things to write about. Have you played many gigs in Kent before? I: Yeah quite a few times. A long, long time ago I did Canterbury, Chatham…just trying to think of all the other places in Kent! It’s quite far out so I’m obviously not out there all the time but yeah it’s great. Was your previous gig in Canterbury at The Gulbenkian? I: No, it will be my first time there – my first tour means my first chance to get to these bigger venues. Have you got anything else lined up apart from the tour? I: I’m preparing for the next Edinburgh that’s coming up. There is more going on and more offers are coming in for TV & radio - I’ve just done the news quiz on Radio 4. It’s building; you know what it’s like, all about momentum and going the distance! What would you say to someone who has never heard of you? I: I’m quite an animated and high energy and I like to play on this style of comedy. If you’re into this kind of stuff that’s positive then come and see me Can we expect anything special for your final gig in Canterbury on 4th June? I: I’m doing shows back to back for a few months so by the time I get here I will have so much more experience and craft that ultimately this will be the best show.

Visit http://www.kent. ac.uk/gulbenkian/ for more information on Imran’s gig in Canterbury on the 4th June 2011. 9


+ support acts Kids Play Area, Mini Funfair & Amusements, Ozzies Balloon Magic, Bouncy Castles, Bars, Food Court Gates open at 11am Music from noon Tickets can be bought from: Mark 1 Music, Soundhouse, Deal Town Club House

Tickets: £6 in advance £7.50 on the door

Family tickets: £15 in advance £17.50 on the door Accompanied u16s: £4


FUN

BRADLEY’S

MUSICAL WORDSEARCH

See how many you can find: • • • • • • • • •

Fozzy CityLightz RBN ToyHorses Belleville LionsDen Lounge Farm DanceWebRadio

• • • • • • • • •

ImranYusuf MissingAndy TheGigGuide NDubz Riskee Ridicule TopGirls Quarterhouse MegCavanaugh

11


VENUE

The Quarterhouse

Words by Lynsey McKay Since its opening in 2009, Folkestone’s Quarterhouse has hosted an exciting selection of local, national and international acts including Michael McIntyre, Cancer Bats, Bad Manners, Senses Fail, Easy Star All Stars, Sean Lock, Wheatus, Seth Lakeman and Rich Hall. A striking addition to Folkestone’s nightlife, Quarterhouse fills the gap for mid-size music and comedy events. In addition, the venue houses the stunning Quarterhouse Bar and Restaurant, serving delicious meals, snacks and a range 12

of quality beers, wines and cocktails 6 days a week. A number of festivals run throughout the year at Quarterhouse, including The Hook Music Month every March. This year’s event saw performances from Steve Harley, Hardcore Superstar, Dirty/DC, King Hammond, Attack! Attack! (UK), Dreadzone and a free show from Feed The Rhino, Broken Union, Predicting The Fall and Save Target As. Each November, Quarterhouse stages the annual Folkestone Book Festival, a week of talks


VENUE

Upcoming Events: Monday 2nd May Tiny Volcanoes by Laurence Wilson Friday 20th May Show Of Hands with Miranda Sykes plus Rodney Branigan Saturday 21st May Richard Herring Christ On A Bike: The Second Coming Saturday 28th May An Evening With Shappi Khorsandi Saturday 11th June Cabaret Q Wednesday 22nd June Reginald D Hunter Warm Up Show

by well known authors, films screenings, comedy events and poetry readings, which in 2010 boasted names such as Germaine Greer, Alexei Sayle, Arthur Smith, Steven Berkoff, Peter Snow, Ron Moody (of Fagin fame), Martina Cole and Brian May (yes, that Brian May!). The auditorium at Quarterhouse hosts live music, dance, theatre, film and comedy events for audiences up to 490 people standing or 250 seated. Thursday is film night with both blockbusters and independent films being shown for only £3.50 if you book in advance. And there aren’t too many

places where you can grab a drink from the bar and take it into the screen with you! With more and more bands stopping off in Folkestone on their national tours, the next few years will see the venue’s reputation grow and grow!

To book tickets of for more information call the box office on 01303 858500, visit 45 Tontine Street, Folkestone, Kent CT20 1JT or visit www.quarterhouse.co.uk. 13


FEATURE

Lounge on the Farm Words by Anorak PR & Bradley McManus

2011 sees Lounge on the Farm introduce its new Main Stage (capacity 4000), a move that will see the festival grow to new heights whilst preserving its core

14

ethos - booking a line up that mixes new bands from across the board with classic heritage acts. Meanwhile, The Cowshed – formerly the main stage of the festival – becomes The Hoe Down. The 2000 capacity tent,


FEATURE

kitted out with state of the art sound systems, will turn into the most unique dance arena in the country, keeping the party going till the early hours. The newest

addition to the festival this year is The Meadows Stage, replacing The Furthur Stage; it will remain a haven for an eclectic mix of bands across the musical spectrum. The first seeds of the festival were sown in the spring of 2004, due to chance meeting between ‘Lounge Original’ Sean Baker and the son of a farmer. Together they watched a band perform aboard a lorry in Canterbury - ideas were exchanged and a telephone number was hastily jotted on a pack of Marlboros. With acts such as Ellie Goulding, The Streets, Example, Echo & 15


EVENT

The Bunnymen, Graham Coxon, Annie Mac, Devlin & Katy B, you can see how the festival has grown considerably in the past few years. 2006 saw the birth of Lounge on the Farm and since then it has been going from strength to strength, including winning the “Best Line Up” at the 2009 UK Festival Awards and the “Sustainability” award at the 2008 Greener Festival Awards. Lounge on the Farm was built around the desire to do something different, to bring a unique slant to the packed and competitive UK summer festival market. Located on the gorgeous and invariably sun drenched landscape of Merton Farm, LOTF combines the very best elements for the ultimate British Summertime. With a line-up

that represents a mixture of charttopping acts, hot new bands, DJs and local talent, there will be something for everyone, plus plenty more to discover as well. All food and drink at The Meadows is locally sourced, including the delicious ales and ciders and traders sell everything from kippers to scones. The cows are raised all year on Merton Farm to become the superb burgers and steaks served on site.

Tickets will available from www.ticketline.co.uk and adult day tickets start from as little as £45. Luxurious Boutique camping at Lounge on the Farm will also be available in 2011 check out the website for more information www.loungeonthefarm.co.uk www.facebook.com/ loungeonthefarm www.twitter.com/ loungeonthefarm

16


INTERVIEW

17


REVIEW

City Lightz INTERVIEW by Bradley McManus How long have you been together and how did you meet? Conor: It’s about, three years isn’t it? Tom: Yeah, about three years ago. Jack: I think it’ll be three years in May. T: Me and Conor were always jamming from about 7 years ago and then at GCSE music we had to put a band together. (Patrick): Yeah because me, Tom and Conor, were at Castle Community College and you met Jack outside of school when it got to it. T: We got asked by some organisers if we could play a gig, but we didn’t have a singer so we needed to get one. I knew Jack had potential, but nobody else knew of him, so I asked Jack if he wanted to sing in our band he said yes, but he wasn’t confident enough to gig, but when we proposed it after a practice he pretty much had to say yes!

C: A little bit like YouMeAt6ish at the moment? P: Arctic Monkeys we played quite a lot. J: We’ve tried to kind of extend from simple singing because it was normally quite mellow quiet, but now, vocally, there are longer held notes now. Because at the start I really needed to blend into the band and stuff, but we all kind of adapted together which was better. T: I mean just recently our song writing has improved because we understand your (Jack) key a lot better and we understand your style too.

Where did the name ‘City Lightz’ come from? J: Well we were really stuck for a name for a while, so we actually tried looking through lyrics of songs, and the song ‘Are we the waiting’ – Green Day was on one of the sheets we printed and the lyrics ‘Starry nights, city lights’ caught our eye. T: So where did the ‘z’ come from again I forget? C: It was actually an old member that quit a couple of years ago, but it kind of stuck out. T: Yeah people remember us for it I guess.

Who would you say your biggest influences are? P: Well obviously Arctic Monkeys. C: Initially, but lately it’s been YouMeAt6, we just started writing songs with that style. T: Well as a guitarist my influence has been Mumford and Sons because of the ridiculous rhythms and tunings. J: Being the singer, I don’t know really? I look at all different singers and the way they sing, because they all control their selves in different ways. My range is quite small, and for me that’s been quite a problem, but now I’ve learnt more about it and how I can control it so I can hit different notes and go higher than I used to. But yeah I don’t have a particular artist I like, just everyone really. C: Travis Barker, Lars Ulrich and Shannon Leto. P: My taste has always been quite wide, and there hasn’t been a specific artist, like reggae, indie, ska.

What genre would you class yourselves as? T: It used to be all over the place.

What equipment do you use? T: I use a fender telecaster, Ibanez Sam Totman, Epiphone EJ200.


J: My Sure SM58 (laughs) T: And your crazy bass! P: My Dean. C: Pearl export and my black pantha. Zildjian cymbals. T: And our PA system is Behringer but its naff (laughs). What’s your writing process? T: (To J) Do you want to explain that? J: (laughs) Well we literally have fallen into this kind of system that works really where we just jam instrumentally and I think of a rhythm to do the vocal part to and even if we don’t come up with words at the start at least we have somewhere to start and then me and Conor write some lyrics. T: It’s normally a guitar part that I’ve prerecorded so I can remember it for practices and stuff. So when Conor and Jack go in the study to write lyrics I write a slap-a-da-bass line. J: Oh my God (laughs) P: The process seems to work though. Albums or EP’s anyone can get their hands on? P: Released our EP ‘WhyTheFace?’ at the end of January that you can buy on iTunes. C: The Soundhouse in Deal

What’s your biggest challenge as a group? C: Well we had one but he left! (laughs) No it’s probably, the select, minority we have in the band… isn’t it Patrick? P: Oh, the hair (laughs) T: I think its just going to be when we all go to University, but to be honest other bands have worked through it, and there’s no reason why we can’t. J: I reckon it’s just the money situation; we’re not that well off. P: So yeah if anyone wants to give us some money that’d be great (laughs) What are you looking forward to this year with the band then? J: Leaving (laughs) C: Hopefully the recording studio again. T: Festivals, really looking forward to that, like the Deal Town Festival on the 29th May, Parochial school festival on the 18th June and Lions Den on 16th July. Just getting on a big stage, coz we haven’t been on one outside in a while, considering last year we had the bandstand – J: Last year it was getting to the point that it was common to be playing an outdoors gig, with other bands it so much more fun. 19


INTERVIEW

ASTOR COMMUNITY THEATRE

East Kent’s Premier Venue

For Music, Film, Theatre, Class & Clubs, Art Exhibitions Listings Saturday 7th May – Classic Evening Wednesday 11th May – Railway Swing Band Friday 13th May – Talking Books: The History Girls Saturday 14th May – The Hamsters Friday 20th May – Madam Gelina Saturday 21st May – Private Widdle Social Club Friday 27th May – Bayou Seco Monday 30th May – Trash + Treasure Sale Thursday 2nd June – HMS Pinafore Friday 3rd June – HMS Pinafore Saturday 4th June – HMS Pinafore Friday 10th June – Talking Books: Howard Marks Saturday 11th June – Noel Coward: The Master in Kent Sunday 19th June – Mandy Winters: Up Close & Personal 24th June – 1st July Deal Summer Festival of Music & The Arts

Astor Community Theatre, Stanhope Road, Deal, Kent, CT14 6AB Telephone: 01304 370220 info@theastor.org

20Email:


The Gig Guide is proud to announce that we are now the primary sponsor for The Bands Show on Dance Web Radio! Listen in with Russel English at 6:00pm every Thursday to hear local Kent bands and even international rock classics!

Check out the show online at www.dancewebradio.co.uk to listen in and watch the webcam with a new band every week performing live in the studio in Deal!


FEATURE

FOZZY AT WESTCOAST – THE RETURN Interview by Jez Silcock FOZZY, the band featuring WWE wrestling superstar Chris Jericho and Stuck Mojo mastermind Rich Ward will be returning to The Westcoast Bar Venue, Margate on Friday 1st July for a pre Sonisphere Festival warm up show! The American heavy metal band, which was formed in San Antonio, Texas in 1999 came about after Chris Jericho sustained a severe ankle injury and was unable to wrestle for four months. A chance meeting with Rich created what is now Fozzy, with the wrestler becoming a natural front man. After a decade of playing together, the band, which also features Sean Delson and Frank Fontsere, has since become the force it is today, developing a cult following, especially in the UK. I managed to catch up with original band founder, Rich Ward, who is extremely excited to be heading back to the UK... 22

Hey Rich, how’s life treating you at the moment?

Rich: Better than I deserve!

Ha ha, excellent! You’re excited about coming back to the UK right?

R: How excited am I about Fozzy coming back to the UK? Where do I even begin? The birth place of heavy metal, the home of proper football, pub grub, curries, treacle sponge pudding and the craziest metal fans on the planet. Thank you Britain for your contributions to my life. I owe you and will be honoured to repay you with one of the best live shows you’ll ever see. Really happy that you guys are coming back to my hometown of Margate. Margate loves Fozzy! Did you have a good time in our seaside town last year?

R: Unquestionably one of the best shows of that tour. Can’t wait to come back! Yeah, it was an amazing gig!


FEATURE

The Margate show is a warm up for Sonisphere this year! The line up is looking good man. Who are you gonna be rocking out too there?

R: Haven’t even thought about the line-up on our day (Sunday) yet. I’m certainly excited about being part of one of the biggest and best festivals on the planet. But my focus is on our performance there, if I get to see some other bands I’ll consider it a bonus. And Rich, you formed the band back in 1999 man. You are a great guitarist but did you ever think you would be sharing the stage with the likes of Metallica? Living the dream?

R: The fact that I derive my income from playing guitar and making records, that is living the dream. Everything else is just the gravy on top! Am I honoured to be able to share the stage with Metallica? You damn right! But the real honour is to make music you believe in, and to have that music supported by so many people around the world. That is a humbling experience.

Thanks for your time Rich. Before you go, you have been busy writing the next album right? How’s that progressing and how does it compare to your previous stuff?

R: Chris has written all the lyrics for the album, so the ball has been handed off to me. I’m currently finishing up another album project, so I’m still a few weeks away from getting to work on the music and melodies. Chris’s lyrics are great and will be a lot of fun to write to.

You also played Download back in 2005 right? How was that experience?

R: One of the standout gigs of my career. What an amazing crowd response from such a legendary gig. OK, following on from that, what’s the most outrageous thing you guys have done onstage?

R: It’s hard to be outrageous these days. People are so desensitized, because they’ve seen it all. Our goal has always been to put on the most entertaining rock show that money can buy. I think we consistently do that, earning a reputation that has allowed us to continue on as a band for over a decade.

Supports for the show are yet to be confirmed. However, tickets (£10 ADV / £12.50 OTD) are available now from the box office on 07938 090700 and full details can be found at www.westcoastlive.co.uk

23


REVIEWS

CD Reviews Belleville The Promises EP

6/10 The Promises EP demonstrates that Canterbury based quartet, Belleville, are on the verge of mastering the soft-rock and folk inspired female fronted melodies that are less prominent in today’s music scene than in the past. The three songs are led by beautifully haunting vocals and an assortment of slow and soft instrumentals, which provides a suitable soundtrack to a lazy sunny afternoon. Unfortunately The Promises EP never quite builds into the crescendo it demonstrates it is capable of, and upon listening results in the reoccurring feeling that something is missing. Belleville provide a pleasant yet somewhat repetitive listening experience that has the potential to develop into much more in future releases.

RBN Underestimated

6/10 On Underestimated, RBN offers his personal take on a handful of specially selected songs from the ever-popular UK grime and hip-hop scene; seeing him MC over recent success stories Ellie Goulding, Tinie Tempah and Skepta amongst others. RBN’s music, ranging from grime to hip-hop to dubstep, relies heavily on lyrics which in this case are a mixed affair. Underestimated contains moments of genuine excellence, conversely some lyrics are extremely questionable. Luckily, regardless of the proficiency of the lyrics the EP is well created, with vocals seamlessly integrated with the original tracks. Underestimated is an enjoyable listen; however the extent to which this is due to RBN rather than the quality of the original material remains debateable. 24


REVIEWS

reviews by Ben Tipple

White Bone Rattle Fay Beyond the Settled Mind

9/10 Far Beyond the Settled Mind proves itself to be a successful modern take on the 60s and 70s riff-driven rock genre, led by near perfect vocals which provide a unique and engaging sound. Where White Bone Rattle work best is their unpredictability, flowing from energetic guitar melodies into psychedelic vocal harmonies reminiscent of bands such as Pink Floyd. Whereas the majority of EPs would contain a mixture of fast, medium and slow paced songs, here the tempo varies throughout each track without distracting from the overall flow of the EP. Few bands have managed to rejuvenate the authentic 70s progressive rock vibe with such exuberance, with Far Beyond the Settled Mind offering the opportunity to propel this Maidstone band into the big-time.

Toy Horses Toy Horses

8/10 The difference between the first two songs on this self-titled debut indicates the mood for the remainder of the album. Toy Horses have two distinctive styles of music; both the happy and somewhat bouncy radio friendly indie-pop, or more traditional singer-songwriter melodies. These styles are executed to a high standard, with the imperfect lead vocals adding to the abundant charm of the LP. Toy Horses let themselves down on a couple of tracks, with some of the radio friendly songs compromising on substance for generic melodic hooks, however particularly the latter half of the album proves the Welsh band have the ability to craft engaging and relevant indie-pop. 25


WHEN YOU NEED A

QUALITY PUBLISHER

Thanet Publishing offers services in contract publishing: from concept, editorial and design right through to print and distribution.

Thanet Publishing Union Crescent, Margate, Kent, CT9 1NU 01843 282500 www.thanet-publishing.co.uk


REVIEW

Riskee & The Ridicule 3rd March 2011 @ The Leaf Lounge, Ashford Words & Photos by Bradley McManus Riskee & The Ridicule are a duo hailing from Ashford who put together a unique combination of acoustic guitar, rapping, harmonies and dare I say even comedy. Scott Picking & James Aglony have known each other for the best part of 4 years and have been only playing for a couple of months but that did not stop The Leaf Lounge in Ashford becoming standing room only! Scott came from a grime/rap background but outgrew it and he teamed up with Aglony who fronted a semi-pro hardcore band that split. Their music is very unique, Scott usually starts every song with a kind with a solo rap recital ending with a punchline as if he is doing a stand up act where the laughs blur into the first line of their songs. Even though this was their first ‘official’ gig

some of the crowd already knew the words and the chorus hooks soon had the rest of the room latching on as well. A personal favourite of mine was their track ‘Audio Casette’ which had harmonies, key changes and brilliantly catchy melody. Sounding somewhere between Jamie T, The Streets & The Futureheads (yes, The Futureheads) they drew the crowd in as if they are telling a story. Harmonies cross between them, guitar riffs influenced from indie pop and even metal make this a feast for your ears. They even sample tracks from Ne-Yo & Lady Gaga! Indie Hip-Hop Poetry – how’s that for a music genre? A fantastic debut gig for the duo who I’m sure will gather momentum and a fan base - after one gig people were already asking about getting a CD – rest assured when one appears we will let you know check them out! 27


REVIEW

Top Girls

11th March 2011 @ The Chapel Theatre, Kent College Words by Regina Dowdeswell Photos by Dylan Woolf The line between amateur and professional theatre became reassuringly blurred last night at Kent Youth Theatre’s first adult production of Caryl Churchill’s classic play Top Girls. Having recently spent £120 for two seats for the embarrassingly awful production of Ghost Stories in the West End, where you’d expect value for money, a simple fiver for last night’s performance was certainly much more than that. We were treated to a display of theatre that surpassed amateur status and moved proudly into the premiere league. It was, as one person said on the way out “fabulous” – and for so many reasons not least of which, just a fiver to get in. Fabulous! Kent Youth Theatre’s team in their cosy chapel theatre at Kent College have overcome the normal problems with this play that generally is avoided by companies: its perilous dialogue, staging problems and structure. This obviously did not deter the producer/director Richard Andrews who showed us the story of Marlene – in a wonderfully stylish way that had us all agog from the opening surreal scene to the famous single word finish 28

some 2 hours later. Written and set in the 80’s, Churchill’s play explores the cost that women, spearheaded by Maggie Thatcher, are prepared to pay for the success in a predominantly man’s business world. The three-act montage, carefully coinciding with International Woman’s Week, charts Marlene’s success story to become managing director of an employment agency. Opening with a celebration dinner to which she invites female historical figures the play moves into her office world, her sisters’ world and then back tracks to the events of a year earlier. At the risk of sounding trite, the cast were certainly top girls and thoroughly deserved the elongated applause and whistles as they took their bows to the sound of Helen Reddy and “I am Woman”. The success of this show is testament to the work and dedication that permeates the Kent Youth Theatre stable; from their classes for three year olds to the wonderful productions they create for us. It illustrates too how simple, yet very effective theatre can be without the need for grand buildings, expensive seats and famous actors to tread the boards. Encore.


REVIEW

City Lightz

The Attic, Kent University 6th April 2011

Words & Pictures by Bradley McManus I feel like I know the boys from City Lightz way before I actually met them. I’ve been trying to pin them down after a friend recommended them back in February and I finally got to see Tom, Jack, Connor & Patrick. They were playing at Kent University’s ‘Live & Unsigned’ night along with Six Seconds Silence and Young Adult Faction. The lads came on stage and struck out their own versions of songs from Mumford & Sons, Bruno Mars, Ellie Goulding and Kate Nash. A pretty eclectic selection of pop rock but when they play their own music they have a distinctly different sound. A kind of indie sound charting today with the likes of You Me At Six, their own music is where their strengths lie. The vocal lines a reminiscent of a spoken Jamie T style singing combined with a much more developed

voice capable of carrying more power. The bass and guitar melodies make a good job of complimenting each other with the off beat pairing suiting a quite unique sound. Connor’s drumming is powerful, I doubt his kit needed to be put through the PA because he was smashing the skins with a very reliable precision which looked effortless for him. There is no doubting they have the skill and prowess. It was a disappointing turnout for the boys but they still gave it everything and received a lot of good feedback from everyone who attended but they didn’t stand a chance with most of the University already broken up for the Easter break. It did not stop them putting on an incredibly determined show and I would love to see these guys play to more people. If they were this good with a small crowd then I can’t wait to see them perform to a much bigger group!


REVIEW

Floors + Walls, Missing Andy, The Flack & A Thousand Lights Saturday 9th April 2011 – The Westcoast, Margate Words & PHOTOGRAPHS by Bradley McManus I had high hopes for what I expected to be an epic show put on by four awesome bands. Each of them deserved their own show in their own right so to see all four in one evening was nothing short of incredible and a credit to The Westcoast and Sick Fish Promotions for getting the gig together. I arrived quite early – so early I was there in time to watch The Flack have their sound check. It’s not been long since I’ve seen these guys along with A Thousand Lights after The Flack’s album launch in February and I was keen to see how they have both progressed in the past couple of months. A Thousand Lights put on an effortless show again showcasing the guys incredible musical talent – you often find the first band on at a gig just have the crowd staring whilst holding their drinks but

not here. A powerful start from the Dover based band – look out in our next issue for these guys! After The Flack shared the news that drummer Joe was leaving a few weeks ago I was a little sceptical of what to expect from this gig. However, their temp drummer Tony Chapman put a solid show on. Bear in mind this guy had a week to learn their whole album. Lead singer Chris said, “he smashed it, we’re really happy with him.” Another great performance from The Flack. Cue Missing Andy – runners up on Sky 1’s ‘Must Be The Music’ and a band that have had a taste of fame only to have it snatched from them. After their unusual live sound check the band were desperately trying to get their levels sorted and then suddenly burst into song. I didn’t know much about the guys until I saw them and could hear why they had done so well. ‘Anthems’ is the word I would use to


describe them – every song has true grit in it and performed with English heart. A mixture of indie riffs, harmonies and spoken lyrics the guys from Essex have developed a knack of producing memorable hits after one listen. Lead singer Alex interacted and spoke with the crowd on multiple occasions and wasn’t afraid to put himself to the mercy of the fans! I was taking photos right in front of the bands but I stood no chance anymore, the place was bouncing and the crowd were echoing the songs. I stood on the side of stage and somehow kept my footing before being pulled down and into the jumping crowd! These guys weren’t even headlining! I’ve seen Floors + Walls a few times over the past couple of years. The guys have released an album and EP but are still trying to break into the mainstream – on the basis of this gig you wonder how they aren’t chart toppers. With 3 of the band coming from the local area it really was a homecoming for the lads. I took my place at the side of the stage and waited... Dom, Ian and Adam all got ready

on stage and waited for lead singer Alex to come out – with real focus in his eyes, marched on stage, sprayed the crowd with water and then the music dropped and the room erupted. I didn’t take any photos for the first song because I was just watching the guys whip the crowd into a frenzy! Alex regularly came to the edge of the stage, even into the crowd as he smashed his grimy vocals on every beat. I took photos for three songs and then put my camera down because this gig had to be enjoyed. In the thick of the crowd I could hear the lyrics of every song coming from everyone around me even to the point of Alex just waving the mic at the crowd. Soon the chants of ‘Tracey, Tracey, Tracey’ came and they teased us by saying ‘we ‘aint even playing that one’ (Though he quickly reassured us by asking for some patience). One of the best gigs I have been to in my entire life, what a show and what bands! A great venue which has the added benefit of making you sweat so much that you lose a few pounds doubling it up as a gym. The guys at The Westcoast assure me that air condition units are due in any day now! 31


REVIEW

Meg Cavanaugh Sunday 10th April 2011 – The Deal Hoy, Deal Words & PHOTOGRAPHS by Amy Hopper There is nothing more rewarding than a drink with friends in a pub garden on a warm spring evening. It’s even better when this event takes places as soon in the year as April! I had never been to The Deal Hoy before and had not heard much about it by way of reputation. I must admit that I didn’t know what to expect. An extremely quiet street opened up to a completely full and lively pub, filled with local punters and socialites alike. I have to say I was rather impressed. Soon the floor opened up to a performer. In my capacity as a reviewer I had not expected to spend an evening with friends working on a gig I knew nothing about, but that is the joy of music! As the evening continued a chill developed outside so and was greeted by the sounds of Meg Cavanaugh. She reminded me somewhat of a slightly hoarse Norah Jones 32

(which is by no means a bad thing.) Her performance was sincere, cheery and her ability to adhere to the wishes of the crowd no doubt added to her popularity throughout the evening. Performing a medley of her own songs with wellknown ‘hits’ from artists such as Michael Jackson and Britney Spears added a type of classy karaoke to the evening (if there is such a thing!) We were even treated to an American Pie duet with one of The Hoy’s locals and some punters turned dancers; strutting their stuff. Meg had come all the way from Dayton, Ohio and was only stopping here for a short time. The Hoy had managed to secure a gem here and an exclusive one, something more and more difficult with local music. With a record label called ‘Smiling Handshake’ you know you’re onto a winner. All in all the experience was very pleasant and a nice surprise to the evening. A few more acts like Meg and a bit more in the way of indoor seating and the The Hoy are on to a winning formula.


FEATURE

N-Dubz

Wednesday 6th April 2011 The Winter Gardens, Margate Words & PHOTOGRAPHS by Bradley McManus “If you want to see N-Dubz then make some noise,” was the theme of the night in Margate. After standing by waiting for the platinum selling artists to come on stage I genuinely wondered how many support acts we were going to get. The answer is, “Yes, we would love to see N-Dubz. Will they be coming on stage today?” Of course I jest; N-Dubz had some great support acts, none better than Star Boy Nathan who had to opportunity to plug his new single ‘Diamonds’. He was just the act needed to get the crowd really fired up after being serenaded, rapped and sung to by another 3 acts previously. A crowd of predominantly teenage girls were bursting with excitement waiting for Dappy, Tulisa and Fazer to grace the

stage. Starting with five minute video showcasing N-Dubz talent for acting as well as singing, they played out a gritty deal in an abandoned warehouse (standard stuff but it fitted the bill perfectly). They trio came on stage as if walking from their video and smashed their first song. They did not mess around and performed three songs before breaking to welcome everyone to their new tour. Apart from a slightly bizarre set of covers from The Script they performed their hits, album tracks and an endless multitude of references to other groups. Though I am not their greatest fan and perhaps it was harder for me to enjoy the gig but the room was rocking, everyone was bouncing and their songs were being sung word for word by their dedicated fans. A slick gig to start off their 2011 tour and proof that N-Dubz can recreate their studio recordings. 33


FEATURE

Sounds of the 70s & 80s

Saturday 21st May Margate Winter Gardens 8pm - 1am Fancy Dress Welcome

TICKETS

Tel: 01843 292795 / 296111 or visit www.leisureforce.co.uk Also available at the Foy Boat Public House, Ramsgate

34


FEATURE

WE NEED YOU! List your Gig!

Are you a band or venue that wants to promote your gigs? Visit the Gig Guide website and register to upload your gig information. We will then list you in the next issue of the magazine which is delivered widely across Kent venues.

MUSIC / COMEDY / THEATRE / ART / DANCE / OPERA / POETRY / FESTIVALS / + more

The Gig Guide is always looking for things to put in THE next issue. You can get involved in one of the following ways. •

Send us your new releases. Album, EP or even single!

Let us know of any events going on in Kent that you think we should know about.

We will list your gigs for FREE in every issue. Just visit our website and upload them to our system.

Want to get involved and advertise? Give us a call and we can arrange a custom designed advert for no extra cost.

Venue, band, artist, theatre, pub, music shop, pa hire – anything!

Been to a gig? Send us a photo and it could be featured in ‘Caught in the Act’.

Want your venue or band featured? Let us know why and we could choose you!

Contact Bradley: Email bradley.mcmanus@the-gig-guide.co.uk Call 01843 282528 Text 07809526433 Our BBM Pin is: 2610962D

www.the-gig-guide.co.uk 35


CAUGHT IN THE ACT

Floors + Walls - The Westcoast

Nick Mount or Theatre - Room L, The Ast

Riskee & The Ridic ule - The Leaf Lounge 36


CAUGHT IN THE ACT

Andy Rob Jones - Missing - The Westcoast

The Stone Kings - The Beercart Arm

s

Tom Keenan - City - The Attic

Lightz

37


FEATURE

THE PORT ARMS

CONTACT THE PORT ARMS FOR THE LATEST GIG LISTINGS 10 Beach Street, Deal, Kent, CT14 7AH 38

(01304) 373598


FEATURE

GIG LISTINGS Your guide to all things entertainment in Kent this May and June...

39


FEATURE

Sunday 1st May 2011 Tank Trap Leos Red Lion, Gravesend

Skindred / Chiodos The West Coast Bar, Margate

Friday 6th May 2011

Barkin’ Mad The Bradstow Mill, Broadstairs

YOUR SHOUT Bowling Green Tavern, Deal

The Outcome The Clarendon Hotel, Deal

Running With Scissors Enoteca Bar & Lounge, Ramsgate

Salty Dogs The Deal Hoy, Deal Jaeger Grace The Hole in the Roof, Deal VIVID NATION The Park Inn, Dover Chronos The West Coast Bar, Margate

Monday 2nd May 2011 Tiny Volcanoes by Laurence Wilson Quarterhouse, Folkestone Famous James & The Monsters The Deal Hoy, Deal White Wire Drift The Deal Hoy, Deal

Tuesday 3rd May 2011 The Submission Beer Cart Arms, Canterbury Sally Morgan - Psychic Sally on the Road Leas Cliff Hall, Folkestone Fights & Fires / Save Target As The West Coast Bar, Margate

Wednesday 4th May 2011 Open mic comedy night Freshly Squeezed Comedy at the Oranges, Ashford, Kent Ian Shawcross The Deal Hoy, Deal

The British Pink Floyd Show Leas Cliff Hall, Folkestone Sacconi Festival 2011 - Sacconi Quartet Quarterhouse, Folkestone Drew & The Crew The Clarendon Hotel, Deal Dockland Rocks The Hole in the Roof, Deal Tapestry The New_Inn, Deal The Retrophonic Archive The Rising Sun, Kingsdown Lights Go Blue + Support The West Coast Bar, Margate THE PRIFF STICKS The White Hart, Rochester Cellar 39 UK Paper Leisure Club, Sittingbourne

Saturday 7th May 2011 An Evening of Piano & Song Astor Community Theatre, Deal Hazy Shade Enoteca Bar & Lounge, Ramsgate Barkin’ Mad Golden Lion, Canterbury The Floyd Effect Mick Jagger Centre, Dartford

Don’t forget live music at The Port Arms, Deal. 40


J.N.S. Sounds • Event Audio Management • PA Hire • Sound Engineers

www.jnssounds.co.uk 07789 248881 Sacconi Quartet and Gwilym Simcock Trio Quarterhouse, Folkestone Sacconi Quartet and Simon Crawford-Phillips Quarterhouse, Folkestone Plenty The Archer, Whitfield, Dover Donna The New_Inn, Deal Cellar 39 The Park Tavern , Sittingbourne, Sittingbourne Battle of The Bands Play Off The West Coast Bar, Margate

Sunday 8th May 2011 The Retrophonic Archive The Clarendon Hotel, Deal Retrophonic Archive The Clarendon Hotel, Deal The Tony Johnson Band The Deal Hoy, Deal Midlife Crises The Hole in the Roof, Deal Crazy Daisy The New_Inn, Deal

How To Be A Hero Theatre Royal, Margate Barkin’ Mad Two Brewers, Whitstable Monday 9th May 2011 Peter Doherty Leas Cliff Hall, Folkestone

Wednesday 11th May 2011 Railway Swing Band Astor Community Theatre, Deal VIVID NATION The Attic @ UKC, Canterbury Curious Plan The Deal Hoy, Deal Grease Theatre Royal, Margate

Thursday 12th May 2011 Astor Unplugged Astor Community Theatre, Deal Los Salvadores The Ballroom, Canterbury Grease Theatre Royal, Margate

Don’t forget live music at The Port Arms, Deal. 41


FEATURE

Friday 13th May 2011

The Scalextrics The Railway, Crawley

Talking Books: The History Girls Astor Community Theatre, Deal

The Retrophonic Archive The Unicorn, Marden

The Gaffer Enoteca Bar & Lounge, Ramsgate

Grease Theatre Royal, Margate

Halfway To Paradise - The Billy Fury Story Leas Cliff Hall, Folkestone THE PRIFF STICKS The Bear & Ragged Staff, Crayford, Dartford The Electric Beatles The Hole in the Roof, Deal The Retrophonic Archive The Lower Bell, off the A229 Bluebell Hill, Aylesford Chris (As Is Now) The New_Inn, Deal Dweller / Forest Fires + Support The West Coast Bar, Margate Grease Theatre Royal, Margate

Saturday 14th May 2011 The Hamsters Astor Community Theatre, Deal Cara Harrison Enoteca Bar & Lounge, Ramsgate Rumblefish Jolly millers, Dartford The Suspects Royal British Legion, Minster YOUR SHOUT THE BULL, DOVER Chopper Nostrils The Mill Inn, Deal

Sunday 15th May 2011 Sunday Classics Recital Astor Community Theatre, Deal Last Picture Club: A Small Act Astor Community Theatre, Deal THE PRIFF STICKS Leos Red Lion, Gravesend The Slug Pixies Old House at Home, Queenborough Trio Bambula The Deal Hoy, Deal Undercover The Hole in the Roof, Deal The Tony Johnson Band The New_Inn, Deal Die Fledermaus Theatre Royal, Margate

Monday 16th May 2011 Liferuiner / Empires Fade + Support The West Coast Bar, Margate

Tuesday 17th May 2011 Crazy Daisy The New_Inn, Deal

Wednesday 18th May 2011 EK1 Four Piece The Deal Hoy, Deal

Thursday 19th May 2011 Katy Carr & The Aviators Astor Community Theatre, Deal

Don’t forget live music at The Port Arms, Deal. 42


FEATURE

Friday 20th May 2011 Madame Galina Astor Community Theatre, Deal Gez Gord Enoteca Bar & Lounge, Ramsgate Magic of Motown Leas Cliff Hall, Folkestone The Scalextrics Oranges Bar Cafe, Ashford Show Of Hands Quarterhouse, Folkestone Show of Hands - Standing Room Only III Tour Quarterhouse, Folkestone

Cultured Pearl The Five Bells, Lower Street, Eastry Scandal The George Hotel, Ashford

Sunday 22nd May 2011 Bad Pennies The Clarendon Hotel, Deal Antiques Road Show The Deal Hoy, Deal Latin Funktion The Hole in the Roof, Deal Suspects The New_Inn, Deal

Tuesday 24th May 2011

Cellar 39 The East Kent, Whitstable

VIVID NATION Beer Cart Arms, Canterbury

Charity Event The Hole in the Roof, Deal

With The Punches / This Years Winner Is The West Coast Bar, Margate

The Slug Pixies The Mill Inn, Deal

Wednesday 25th May 2011

8-T’s The New_Inn, Deal

Johnnie Walker’s al Milestones Quarterhouse, Folkestone

Heavens Basement / Jett Black The West Coast Bar, Margate

Scandal The Deal Hoy, Deal

Saturday 21st May 2011 Private Widdle Social Club Astor Community Theatre, Deal Jed Enoteca Bar & Lounge, Ramsgate Richard Herring - Christ On A Bike Quarterhouse, Folkestone The Scalextrics The Black Bull, Folkestone Screaming Cherry The Charles Dickens, Broadstairs

Thursday 26th May 2011 Astor Unplugged Astor Community Theatre, Deal

Friday 27th May 2011 The Scalextrics The Bear & Ragged Staff, Crayford, Dartford The Slug Pixies The Fountain Public House, Sittingbourne The Tony Johnson Band The Hole in the Roof, Deal

Don’t forget live music at The Port Arms, Deal. 43


FEATURE

The Outcome The New_Inn, Deal VIVID NATION The White Lion, Streatham

Saturday 28th May 2011 Barkin’ Mad Britannia Inn, Margate Georgie Enoteca Bar & Lounge, Ramsgate An Evening With Shappi Khorsandi Quarterhouse, Folkestone Lara The Clarendon Hotel, Deal Kevin Iverson The Five Bells, Lower Street, Eastry Scandal The Mill Inn, Deal Battle of The Bands Final The West Coast Bar, Margate Smoke and Mirrors Theatre Royal, Margate YOUR SHOUT Yew Tree Inn, Deal

Sunday 29th May 2011 Raw Deal: The Metal One Astor Community Theatre, Deal The Tony Johnson Band Deal Town Football Club, Deal Blow Unplugged Enoteca Bar & Lounge, Ramsgate Fizz Family Sunday - Elmer The Elephant Quarterhouse, Folkestone

The Retrophonic Archive The Carpenters Arms, Eastling, Faversham Andee Price Quartet The Deal Hoy, Deal Zedheads The Hole in the Roof, Deal As Is Now The New_Inn, Deal Eradication / Vidina / The Unanswered + Support The West Coast Bar, Margate Smoke and Mirrors Theatre Royal, Margate

Monday 30th May 2011 Dover Patrol The Deal Hoy, Deal Tony Johnson The Deal Hoy, Deal VIVID NATION The Lanterns, Folkestone Radio Dead Ones / Tyrannosaurus Alan / Tree. House  The West Coast Bar, Margate

Wednesday 1st June 2011 Remember When Leas Cliff Hall, Folkestone Geoff Everett Band The Deal Hoy, Deal

Thursday 2nd June 2011 HMS Pinafore Astor Community Theatre, Deal

Friday 3rd June 2011 HMS Pinafore Astor Community Theatre, Deal The Gaffer Enoteca Bar & Lounge, Ramsgate

Don’t forget live music at The Port Arms, Deal. 44


BOARS HEAD Contact us for a full listing of gigs and events

46-48 Eaton Road, Dover, Kent, CT17 9PB (01304) 330081

Plenty The Red Lion, Ramsgate

Kai McKenzie The Hole in the Roof, Deal

Bastions / Polar / Mire / Breaking The Day The West Coast Bar, Margate

Radio Riot The New_Inn, Deal

Saturday 4th June 2011 HMS Pinafore Astor Community Theatre, Deal

Wednesday 8th June 2011 Ian Shawcross The Deal Hoy, Deal

Thursday 9th June 2011

Hazy Shade Enoteca Bar & Lounge, Ramsgate

Astor Unplugged Astor Community Theatre, Deal

Cellar 39 The Beauty of Bath, Sittingbourne

The Slug Pixies The Carpenters Arms, Eastling, Faversham

Sunday 5th June 2011 Totally Dance Astor Community Theatre, Deal Robert Maseko and The Congo Beat Quarterhouse, Folkestone

VIVID NATION The Workshop, Shoreditch

Friday 10th June 2011 Talking Books: Howard Marks Astor Community Theatre, Deal

Tapestry The Clarendon Hotel, Deal

Hang 10 Enoteca Bar & Lounge, Ramsgate

Kevin Iverson The Deal Hoy, Deal

Los Salvadores Googies Art Cafe, Folkestone

Don’t forget live music at The Port Arms, Deal. 45


LISTINGS

Dan Clark Leas Cliff Hall, Folkestone

The Interceptors The Hole in the Roof, Deal

CLIFF CASTLE The Five Bells, Lower Street, Eastry

User Friendly The New_Inn, Deal

Tim Haine & Jam Side Up The Hole in the Roof, Deal THE PRIFF STICKS The Hufflers Arms, Dartford

Wednesday 15th June 2011 The Outcome The Deal Hoy, Deal

Thursday 16th June 2011

Alleviators The New_Inn, Deal

Bender Crack Corn Beer Cart Arms, Canterbury

The Retrophonic Archive The Rising Sun, Kingsdown

UCF Presents - Little Shop Of Horrors Quarterhouse, Folkestone

Saturday 11th June 2011 Noel Coward: The Master In Kent Astor Community Theatre, Deal Barkin’ Mad Birchington United Services Club, Birchington Joel Stonner Enoteca Bar & Lounge, Ramsgate Cabaret Q Quarterhouse, Folkestone YOUR SHOUT THE BULL, DOVER Gold Top The New_Inn, Deal THE PRIFF STICKS The Railway Pub, Bromley

Sunday 12th June 2011 Sunday Classics Recital Astor Community Theatre, Deal The Retrophonic Archive The Clarendon Hotel, Deal Michael Scorey The Deal Hoy, Deal

Cellar 39 The Carpenters Arms, Eastling, Faversham

Friday 17th June 2011 Blow Unplugged Enoteca Bar & Lounge, Ramsgate Sneaking Sally The Hole in the Roof, Deal VIVID NATION The Park Inn, Dover

Saturday 18th June 2011 YOUR SHOUT Barnaby Rudge, Broadstairs Mark Taylor Enoteca Bar & Lounge, Ramsgate Buddy Holly & The Cricketers Leas Cliff Hall, Folkestone The Scalextrics The Park Inn Hotel, Folkestone Legend Bob Marley Tribute / Captain Accident / The The West Coast Bar, Margate

Don’t forget live music at The Port Arms, Deal. 46


LISTINGS

Sunday 19th June 2011 Mandy Winters Astor Community Theatre, Deal The Kingsdown Band The Clarendon Hotel, Deal The Lucky Ones The Deal Hoy, Deal The Tony Johnson Band The New_Inn, Deal

Monday 20th June 2011 Los Salvadores Barnaby Rudge, Broadstairs

Tuesday 21st June 2011

The Interceptors The Clarendon Hotel, Deal Cellar 39 The Fountain Public House, Sittingbourne Rubber Biscuit The Hole in the Roof, Deal The Slug Pixies The Royal Norfolk Hotel, Folkestone Heart in Hand / Charrion The West Coast Bar, Margate

Saturday 25th June 2011 Chopper Nostrils Britannia Inn, Margate

Last Picture Club: Countdown to Zero Astor Community Theatre, Deal

Jed Enoteca Bar & Lounge, Ramsgate

The Morning Of / Paige / Kyoto Drive + Support The West Coast Bar, Margate

Con Jovi The Brickmakers, Norwich

Wednesday 22nd June 2011 Reginald D Hunter Warm Up Show Quarterhouse, Folkestone Lola Soul The Deal Hoy, Deal Dracula Theatre Royal, Margate

Thursday 23rd June 2011 Dracula Theatre Royal, Margate

Friday 24th June 2011 Surfdude Grandad Enoteca Bar & Lounge, Ramsgate VIVID NATION Oranges Bar Cafe, Ashford

Screaming Cherry The Charles Dickens, Broadstairs YOUR SHOUT The Priory Hotel, Dover Piccadilly Dance Orchestra Theatre Royal, Margate

Sunday 26th June 2011 Three Billy Goats Gruff and Other Furry Tales Quarterhouse, Folkestone The Tony Johnson Band The Clarendon Hotel, Deal Tapestry The Deal Hoy, Deal EK1 The Hole in the Roof, Deal Broken The New_Inn, Deal

Don’t forget live music at The Port Arms, Deal. 47


LISTINGS

Wednesday 29th June 2011 The Retrophonic Archive The Deal Hoy, Deal

Thursday 30th June 2011 The Oceans Between Us / Fathoms / Picture The Betr The West Coast Bar, Margate

Friday 1st July 2011 THE PRIFF STICKS Alexandra Hotel, Chatham, Chatham Gez Gord Enoteca Bar & Lounge, Ramsgate

Saturday 2nd July 2011 Barkin’ Mad Britannia Inn, Margate YOUR SHOUT Deal Welfare Club, Mill Hill, Deal

The Retrophonic Archive The Fountain Public House, Sittingbourne

Saturday 9th July 2011 VIVID NATION Barnaby Rudge, Broadstairs YOUR SHOUT BOARS HEAD, DOVER Bread & Butter Enoteca Bar & Lounge, Ramsgate Barkin’ Mad Golden Lion, Canterbury Rumblefish The Railway Tavern, Longfield The Retrophonic Archive The Unicorn, Marden

Sunday 10th July 2011 The Slug Pixies Earls, Maidstone

Cara Harrison Enoteca Bar & Lounge, Ramsgate Rumblefish The Bower Inn, Maidstone

Sunday 3rd July 2011 The Retrophonic Archive Churchill Tavern Public House, Ramsgate

Thursday 7th July 2011 Gallows Quarterhouse, Folkestone

Friday 8th July 2011 Mark Taylor Enoteca Bar & Lounge, Ramsgate

Don’t forget live music at The Port Arms, Deal. 48


Unit 13, Crystal Business Centre, Sandwich Industrial Estate, Sandwich, Kent, CT13 9QX 01304 611676 Contact Nick Wilson for booking information: nooleywrittenmusic@hotmail.com

The Deal Festival (24th June – 3rd July 2011)

24/06 Paprika Balkan Genius Pier Apron 19:30-21:00 Bach-ic The Astor 21:30-23:00 25/06 Ukulele Orchestra of Great Britain St. George’s Church 19:30 26/06 Knight & Dame St. George’s Church 19:00 27/06 Festival Fringe Coffee Concert St. Andrew’s Church 11:00 La Bohème The Astor 18:30 28/06 Dimitris Dekavallas Deal Town Hall 13:00 02/07 PyramiDeal The Astor 15:00

This is just a taste of what’s on offer during The Deal Festival.

Full event listings are available at www.dealfestival.co.uk

Don’t forget live music at The Port Arms, Deal. 49


NOT TO BE MISSED

The Morning Of (Exclusive Kent Tour Date) Tuesday 21st June 2011 The Westcoast, Margate The Morning Of The dual fronted New York native pop/rock act The Morning Of are awesome! Fact! These young, yet seasoned touring artists have built their grass roots following as well as their songwriting abilities from the ground up through years of touring and hard work, which is a rare and under-appreciated sight in today’s music industry.

Paige 5 Piece Pop Rock band from Hertfordshire who have played with acts such as You Me At 6, Bring Me The Horizon, We The Kings,The Blackout, Kids In Glass Houses, Hollywood Undead, The King Blues, Hey Monday, Zebrahead, Anti Flag & Many More

Kyoto Drive 4 piece pop rock band straight from Birmingham who have played a lot of great shows next to a lot of great bands. Plus ScreamDontWhisper, Call of The Search & Promise Me Tomorrow

Six bands in one show for only ÂŁ5; what a deal! Tickets available from www.wegottickets.com 50


Lara

NOT TO BE MISSED

Saturday 28th May 2011 The Clarendon Hotel

“A luxuriant blend of Soul and Motown� Lara is of both Nigerian and Scottish descent, and she embraces the fiery ancestry of both races in her spell-binding vocal performances. Featuring songs from many of the biggest names from Tina Turner to Rhianna with the raw edge of classic contemporary luminaries such as Amy Winehouse, Anastacia, Duffy, etc. She will be making an appearance on 28th May 2011 at The Clarendon Hotel in Deal which will be an event not to be missed for sure!

51


NOT TO BE MISSED

Springtide Cavalry & A Thousand Lights Friday 3rd June 2011 The Funky Monkey, Dover Chances are that you have heard of Springtide Cavalry‌ Chances are that you have heard of A Thousand Lights‌ But have you ever seen them play on the same bill? The two groups perform together for the very first time at: The Funky Monkey, 14 Bench Street, Dover, CT16 1JW Get there early for A Thousand Lights at 9pm followed by Springtide Cavalry at 10pm!

See you at the front!

52


NOT TO BE MISSED

May Madness 29th May 2011 Deal Town Football Club

“Fun for all the family!” May Madness is the place to be on Whitsun Bank Holiday Sunday. Deal Town are hosting May Madness featuring One Step Behind, the UK’s Premier Madness Tribute Band supported by The Jeff Barker Band - Kents Kings of Swing, the Tony Johnson Band, The Outcome, featuring Kieran from Britain’s Got Talent (3rd in 2010), Wez, City Lightz and Union Road.

53


ADVERTISING OPPORTUNITIES

THE

G I G GUIDE K E N T ’ S

Whether you’re an Artist, Venue, Studio, Rehearsal Room, Manufacturer, Promoter or Retail Store; we’ve got some great advertising opportunities for Quarter, Half and Full page spaces.

N o . 1

F R E E

E N T E R T A I N M E N T

M A G A Z I N E

Hit Sound Island in July.

NEWS: What’s happening on the Kent music NOT TO BE MISSED: scene | REVIEWS: Top events in Kent | PLUS: Your regular We check out your music 2 months of Kent gig listings.

Issue 15 / June

- July www.the-gig-guide.co.u k

Distributed widely across Kent to venues, education establishments, shops, libraries, tourist information offices, and other public spaces, our ever growing circulation means your name is guaranteed to be seen far and wide.

Don’t miss out on Issue 19 of The Gig Guide published for July/August 2011

Follow The Gig Guide on Twitter, Facebook and Myspace: Facebook: www.facebook.com/TheGigGuideKent Twitter: www.twitter.com/TheGigGuide

Call for more details and a media pack on 01843 282528 54


ADVERTISING OPPORTUNIT FEATURE

The Clarendon Hotel Best Roast on the Coast from £7.95 Sunday Morning Breakfasts from £3.95

May 1st – The Outcome 6th – Drew and the Crew 8th – Archive 22nd – Bad Penny 28th – Lara (Tina Tuner, Rihanna) June 5th – Tapestry 12th – TBC th 19 – Kingsdown Band 24th – The Interceptors PLEASE CALL FOR THE LATEST EVENT INFORMATION.

51/55 Beach Street, Deal, Kent, CT14 6HY Telephone: 01304 374748 Fax: 01304 371116 Email: admin@clarendonhoteldeal.co.uk

55


Hole in the Roof

FEATURE

The Soul Bar

Hotel - Cafe - Bar

Live music events at The Hole in the Roof (6pm Sunday & 9pm Friday) •

Situated only a 5-minute walk away from Deal seafront and town centre

Traditional homecooked food

Three course specials

Function room for hire

Comfortable accomodation

MAY:

JUNE:

1st – Jaeger Grace

5th - Kai McKenzie

6 – Dockland Rocks

10th - Tim Haine & Jam Side Up

th

8 – Midlife Crises th

13th – Electric Beetons

12th – The Interceptors

15th – Undercover

17th – Sneaking Sally

20th – Charity Red Carpet Event (see below)

26th – EK1

24th – Rubber Biscuit

22nd – Latin Funktion 27th – Tony Johnson Band 29th – The Zedheads

Friday 20th May 2011

CHARITY RED CARPET EVENT in aid of “Party on The Prom”

Formal Dress, Cocktail dresses £10 per ticket 42 Queen Street, Deal, CT14 6EY Tel: 01304 374839 www.holeintheroofhotel.co.uk holeintheroof@btconnect.com

56

The Gig Guide Issue 18 May/June 2011  

Issue 18 of The Gig Guide for May/June 2011